﻿using System;
namespace AggregateEnforcer.Ejm2
{
    public class Computer
    {
        //Constituting Object
        private CPU cpu;
        private String name;

        //Constructor
        public Computer(String n)
        {
            name = n;
            cpu = new CPU("Intel");
        }

        public bool start()
        {
            Console.WriteLine("CPU activated");
            return true;
        }

        public bool executeTask()
        {
            Console.WriteLine("CPU is Executing the Task");
            return true;
        }

        public bool stop()
        {
            Console.WriteLine("CPU is stopped");
            return true;
        }
    }

}
