﻿using System;
namespace AggregateEnforcer.Ejm1
{
    /// <summary>
    /// Representa el todo
    /// </summary>
    public class Computer
    {
        //Constituting Object
        private CPU cpu;
        private String name;

        //Constructor
        public Computer(String n)
        {
            name = n;
        }

        public bool start()
        {
            initCPU();
            Console.WriteLine("CPU activated");
            return true;
        }

        public bool executeTask()
        {
            initCPU();
            Console.WriteLine("CPU is Executing the Task");
            return true;
        }

        public bool stop()
        {
            initCPU();
            Console.WriteLine("CPU is stopped");
            return true;
        }

        private void initCPU()
        {
            if (cpu == null)
            {
                cpu = new CPU("Intel");
            }
        }
    }

}
