﻿using System;
namespace AggregateEnforcer.Ejm3
{
    public class Computer
    {
        //Constituting Object
        //En C# en lugar de static se usa readonly, algo como una constante
        private readonly CPU cpu;
        private String name;

        //Constructor
        public Computer(String n)
        {
            name = n;
            //En C# no obliga a inicializar un dato miembro readonly
            cpu = new CPU("Intel");
        }

        public bool start()
        {
            Console.WriteLine("CPU activated");
            return true;
        }

        public bool executeTask()
        {
            Console.WriteLine("CPU is Executing the Task");
            return true;
        }

        public bool stop()
        {
            Console.WriteLine("CPU is stopped");
            return true;
        }

    }

}
